LDPD(8)

NAME
ldpd - Label Distribution Protocol daemon

SYNOPSIS
ldpd [-dnv] [-D macro=value] [-f file]

DESCRIPTION
ldpd is the Label Distribution Protocol (LDP) daemon, which distributes MPLS label mappings between routers.

A running ldpd can be controlled with the ldpctl(8) utility.

The options are as follows:

-D macro=value
    Define macro to be set to value on the command line. Overrides the definition of macro in the configuration file.

-d  Do not daemonize. If this option is specified, ldpd will run in the foreground and log to stderr.

-f file
    Specify an alternative configuration file.

-n  Configtest mode. Only check the configuration file for validity.

-v  Produce more verbose output.

FILES
/etc/ldpd.conf
    Default ldpd configuration file.
/var/run/ldpd.sock
    UNIX-domain socket used for communication with ldpctl(8).

SEE ALSO
mpe(4), ldpd.conf(5), ldpctl(8), rc.conf(8)

STANDARDS
E. Rosen, A. Viswanathan, R. Callon, January 2001, RFC 3031, Multiprotocol Label Switching Architecture.

L. Andersson, I. Minei, B. Thomas, October 2007, RFC 5036, LDP Specification.

HISTORY
The ldpd program first appeared in OpenBSD 4.6.